Loading...
Searching...
No Matches
BALL::EvolutionaryDocking::Default Struct Reference

`#include <BALL/DOCKING/GENETICDOCK/evolutionaryDocking.h>`

## Static Public Attributes

static const int | MAX_ITERATIONS
static const int | POPULATION_NUMBER
static const int | INITIAL_POPULATION
static const int | POPULATION
static const int | SURVIVORS
static const double | MUTATION_RATE
static const int | MUTATION_SAVE
static const int | CONV_ITERATIONS
static const double | CONV_VALUE
static const int | CONV_START
static const int | BEST_NUM
static const String | SCORING_TYPE

## Detailed Description

Definition at line 54 of file evolutionaryDocking.h.

## Member Data Documentation

## BEST_NUM

const int BALL::EvolutionaryDocking::Default::BEST_NUM

static

Definition at line 66 of file evolutionaryDocking.h.

## CONV_ITERATIONS

const int BALL::EvolutionaryDocking::Default::CONV_ITERATIONS

static

Definition at line 63 of file evolutionaryDocking.h.

## CONV_START

const int BALL::EvolutionaryDocking::Default::CONV_START

static

Definition at line 65 of file evolutionaryDocking.h.

## CONV_VALUE

const double BALL::EvolutionaryDocking::Default::CONV_VALUE

static

Definition at line 64 of file evolutionaryDocking.h.

## INITIAL_POPULATION

const int BALL::EvolutionaryDocking::Default::INITIAL_POPULATION

static

Definition at line 58 of file evolutionaryDocking.h.

## MAX_ITERATIONS

const int BALL::EvolutionaryDocking::Default::MAX_ITERATIONS

static

Definition at line 56 of file evolutionaryDocking.h.

## MUTATION_RATE

const double BALL::EvolutionaryDocking::Default::MUTATION_RATE

static

Definition at line 61 of file evolutionaryDocking.h.

## MUTATION_SAVE

const int BALL::EvolutionaryDocking::Default::MUTATION_SAVE

static

Definition at line 62 of file evolutionaryDocking.h.

## POPULATION

const int BALL::EvolutionaryDocking::Default::POPULATION

static

Definition at line 59 of file evolutionaryDocking.h.

## POPULATION_NUMBER

const int BALL::EvolutionaryDocking::Default::POPULATION_NUMBER

static

Definition at line 57 of file evolutionaryDocking.h.

## SCORING_TYPE

const String BALL::EvolutionaryDocking::Default::SCORING_TYPE

static

Definition at line 67 of file evolutionaryDocking.h.

## SURVIVORS

const int BALL::EvolutionaryDocking::Default::SURVIVORS

static

Definition at line 60 of file evolutionaryDocking.h.